Callisto4Bootloader: startup/startup_mimxrt1062.c File Reference

Callisto4Bootloader

Macros | Functions | Variables
startup_mimxrt1062.c File Reference
`#include "fsl_flexram.h"`
`#include "fsl_flexram_allocate.h"`

Go to the source code of this file.

## Macros

#define | ALLOCATE_FLEXRAM
#define | __FLEXRAM_BANK_SIZE_KB (32U)
#define | __FLEXRAM_ALLOC_OCRAM_SIZE_KB 0U
#define | __FLEXRAM_ALLOC_ITCM_SIZE_KB 256U
#define | __FLEXRAM_ALLOC_DTCM_SIZE_KB 256U
#define | __OCRAM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_OCRAM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)
#define | __ITCM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_ITCM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)
#define | __DTCM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_DTCM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)
#define | WEAK __attribute__ ((weak))
#define | WEAK_AV __attribute__ ((weak, section(".after_vectors")))
#define | ALIAS(f) __attribute__ ((weak, alias (#f)))

## Functions

void | ResetISR (void)
WEAK void | NMI_Handler (void)
WEAK void | HardFault_Handler (void)
WEAK void | SVC_Handler (void)
WEAK void | PendSV_Handler (void)
WEAK void | SysTick_Handler (void)
WEAK void | IntDefaultHandler (void)
WEAK void | DMA0_DMA16_IRQHandler (void)
WEAK void | DMA1_DMA17_IRQHandler (void)
WEAK void | DMA2_DMA18_IRQHandler (void)
WEAK void | DMA3_DMA19_IRQHandler (void)
WEAK void | DMA4_DMA20_IRQHandler (void)
WEAK void | DMA5_DMA21_IRQHandler (void)
WEAK void | DMA6_DMA22_IRQHandler (void)
WEAK void | DMA7_DMA23_IRQHandler (void)
WEAK void | DMA8_DMA24_IRQHandler (void)
WEAK void | DMA9_DMA25_IRQHandler (void)
WEAK void | DMA10_DMA26_IRQHandler (void)
WEAK void | DMA11_DMA27_IRQHandler (void)
WEAK void | DMA12_DMA28_IRQHandler (void)
WEAK void | DMA13_DMA29_IRQHandler (void)
WEAK void | DMA14_DMA30_IRQHandler (void)
WEAK void | DMA15_DMA31_IRQHandler (void)
WEAK void | DMA_ERROR_IRQHandler (void)
WEAK void | CTI0_ERROR_IRQHandler (void)
WEAK void | CTI1_ERROR_IRQHandler (void)
WEAK void | CORE_IRQHandler (void)
WEAK void | LPUART1_IRQHandler (void)
WEAK void | LPUART2_IRQHandler (void)
WEAK void | LPUART3_IRQHandler (void)
WEAK void | LPUART4_IRQHandler (void)
WEAK void | LPUART5_IRQHandler (void)
WEAK void | LPUART6_IRQHandler (void)
WEAK void | LPUART7_IRQHandler (void)
WEAK void | LPUART8_IRQHandler (void)
WEAK void | LPI2C1_IRQHandler (void)
WEAK void | LPI2C2_IRQHandler (void)
WEAK void | LPI2C3_IRQHandler (void)
WEAK void | LPI2C4_IRQHandler (void)
WEAK void | LPSPI1_IRQHandler (void)
WEAK void | LPSPI2_IRQHandler (void)
WEAK void | LPSPI3_IRQHandler (void)
WEAK void | LPSPI4_IRQHandler (void)
WEAK void | CAN1_IRQHandler (void)
WEAK void | CAN2_IRQHandler (void)
WEAK void | FLEXRAM_IRQHandler (void)
WEAK void | KPP_IRQHandler (void)
WEAK void | TSC_DIG_IRQHandler (void)
WEAK void | GPR_IRQ_IRQHandler (void)
WEAK void | LCDIF_IRQHandler (void)
WEAK void | CSI_IRQHandler (void)
WEAK void | PXP_IRQHandler (void)
WEAK void | WDOG2_IRQHandler (void)
WEAK void | SNVS_HP_WRAPPER_IRQHandler (void)
WEAK void | SNVS_HP_WRAPPER_TZ_IRQHandler (void)
WEAK void | SNVS_LP_WRAPPER_IRQHandler (void)
WEAK void | CSU_IRQHandler (void)
WEAK void | DCP_IRQHandler (void)
WEAK void | DCP_VMI_IRQHandler (void)
WEAK void | Reserved68_IRQHandler (void)
WEAK void | TRNG_IRQHandler (void)
WEAK void | SJC_IRQHandler (void)
WEAK void | BEE_IRQHandler (void)
WEAK void | SAI1_IRQHandler (void)
WEAK void | SAI2_IRQHandler (void)
WEAK void | SAI3_RX_IRQHandler (void)
WEAK void | SAI3_TX_IRQHandler (void)
WEAK void | SPDIF_IRQHandler (void)
WEAK void | PMU_EVENT_IRQHandler (void)
WEAK void | Reserved78_IRQHandler (void)
WEAK void | TEMP_LOW_HIGH_IRQHandler (void)
WEAK void | TEMP_PANIC_IRQHandler (void)
WEAK void | USB_PHY1_IRQHandler (void)
WEAK void | USB_PHY2_IRQHandler (void)
WEAK void | ADC1_IRQHandler (void)
WEAK void | ADC2_IRQHandler (void)
WEAK void | DCDC_IRQHandler (void)
WEAK void | Reserved86_IRQHandler (void)
WEAK void | Reserved87_IRQHandler (void)
WEAK void | GPIO1_INT0_IRQHandler (void)
WEAK void | GPIO1_INT1_IRQHandler (void)
WEAK void | GPIO1_INT2_IRQHandler (void)
WEAK void | GPIO1_INT3_IRQHandler (void)
WEAK void | GPIO1_INT4_IRQHandler (void)
WEAK void | GPIO1_INT5_IRQHandler (void)
WEAK void | GPIO1_INT6_IRQHandler (void)
WEAK void | GPIO1_INT7_IRQHandler (void)
WEAK void | GPIO1_Combined_0_15_IRQHandler (void)
WEAK void | GPIO1_Combined_16_31_IRQHandler (void)
WEAK void | GPIO2_Combined_0_15_IRQHandler (void)
WEAK void | GPIO2_Combined_16_31_IRQHandler (void)
WEAK void | GPIO3_Combined_0_15_IRQHandler (void)
WEAK void | GPIO3_Combined_16_31_IRQHandler (void)
WEAK void | GPIO4_Combined_0_15_IRQHandler (void)
WEAK void | GPIO4_Combined_16_31_IRQHandler (void)
WEAK void | GPIO5_Combined_0_15_IRQHandler (void)
WEAK void | GPIO5_Combined_16_31_IRQHandler (void)
WEAK void | FLEXIO1_IRQHandler (void)
WEAK void | FLEXIO2_IRQHandler (void)
WEAK void | WDOG1_IRQHandler (void)
WEAK void | RTWDOG_IRQHandler (void)
WEAK void | EWM_IRQHandler (void)
WEAK void | CCM_1_IRQHandler (void)
WEAK void | CCM_2_IRQHandler (void)
WEAK void | GPC_IRQHandler (void)
WEAK void | SRC_IRQHandler (void)
WEAK void | Reserved115_IRQHandler (void)
WEAK void | GPT1_IRQHandler (void)
WEAK void | GPT2_IRQHandler (void)
WEAK void | PWM1_0_IRQHandler (void)
WEAK void | PWM1_1_IRQHandler (void)
WEAK void | PWM1_2_IRQHandler (void)
WEAK void | PWM1_3_IRQHandler (void)
WEAK void | PWM1_FAULT_IRQHandler (void)
WEAK void | FLEXSPI2_IRQHandler (void)
WEAK void | FLEXSPI_IRQHandler (void)
WEAK void | SEMC_IRQHandler (void)
WEAK void | USDHC1_IRQHandler (void)
WEAK void | USDHC2_IRQHandler (void)
WEAK void | USB_OTG2_IRQHandler (void)
WEAK void | USB_OTG1_IRQHandler (void)
WEAK void | ENET_IRQHandler (void)
WEAK void | ENET_1588_Timer_IRQHandler (void)
WEAK void | XBAR1_IRQ_0_1_IRQHandler (void)
WEAK void | XBAR1_IRQ_2_3_IRQHandler (void)
WEAK void | ADC_ETC_IRQ0_IRQHandler (void)
WEAK void | ADC_ETC_IRQ1_IRQHandler (void)
WEAK void | ADC_ETC_IRQ2_IRQHandler (void)
WEAK void | ADC_ETC_ERROR_IRQ_IRQHandler (void)
WEAK void | PIT_IRQHandler (void)
WEAK void | ACMP1_IRQHandler (void)
WEAK void | ACMP2_IRQHandler (void)
WEAK void | ACMP3_IRQHandler (void)
WEAK void | ACMP4_IRQHandler (void)
WEAK void | Reserved143_IRQHandler (void)
WEAK void | Reserved144_IRQHandler (void)
WEAK void | ENC1_IRQHandler (void)
WEAK void | ENC2_IRQHandler (void)
WEAK void | ENC3_IRQHandler (void)
WEAK void | ENC4_IRQHandler (void)
WEAK void | TMR1_IRQHandler (void)
WEAK void | TMR2_IRQHandler (void)
WEAK void | TMR3_IRQHandler (void)
WEAK void | TMR4_IRQHandler (void)
WEAK void | PWM2_0_IRQHandler (void)
WEAK void | PWM2_1_IRQHandler (void)
WEAK void | PWM2_2_IRQHandler (void)
WEAK void | PWM2_3_IRQHandler (void)
WEAK void | PWM2_FAULT_IRQHandler (void)
WEAK void | PWM3_0_IRQHandler (void)
WEAK void | PWM3_1_IRQHandler (void)
WEAK void | PWM3_2_IRQHandler (void)
WEAK void | PWM3_3_IRQHandler (void)
WEAK void | PWM3_FAULT_IRQHandler (void)
WEAK void | PWM4_0_IRQHandler (void)
WEAK void | PWM4_1_IRQHandler (void)
WEAK void | PWM4_2_IRQHandler (void)
WEAK void | PWM4_3_IRQHandler (void)
WEAK void | PWM4_FAULT_IRQHandler (void)
WEAK void | ENET2_IRQHandler (void)
WEAK void | ENET2_1588_Timer_IRQHandler (void)
WEAK void | CAN3_IRQHandler (void)
WEAK void | Reserved171_IRQHandler (void)
WEAK void | FLEXIO3_IRQHandler (void)
WEAK void | GPIO6_7_8_9_IRQHandler (void)
void | DMA0_DMA16_DriverIRQHandler (void DMA1_DMA17_DriverIRQHandler() ALIAS(IntDefaultHandler) void)
| __attribute__ ((section(".after_vectors.init_data")))
| __attribute__ ((section(".after_vectors.init_bss")))
| __attribute__ ((section(".after_vectors.reset")))

## Variables

unsigned int | __data_section_table
unsigned int | __data_section_table_end
unsigned int | __bss_section_table_end

## Macro Definition Documentation

## ◆ __DTCM_ALLOCATE_BANK_NUM

#define __DTCM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_DTCM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)

Definition at line 30 of file startup_mimxrt1062.c.

## ◆ __FLEXRAM_ALLOC_DTCM_SIZE_KB

#define __FLEXRAM_ALLOC_DTCM_SIZE_KB 256U

Definition at line 25 of file startup_mimxrt1062.c.

## ◆ __FLEXRAM_ALLOC_ITCM_SIZE_KB

#define __FLEXRAM_ALLOC_ITCM_SIZE_KB 256U

Definition at line 24 of file startup_mimxrt1062.c.

## ◆ __FLEXRAM_ALLOC_OCRAM_SIZE_KB

#define __FLEXRAM_ALLOC_OCRAM_SIZE_KB 0U

Definition at line 23 of file startup_mimxrt1062.c.

## ◆ __FLEXRAM_BANK_SIZE_KB

#define __FLEXRAM_BANK_SIZE_KB (32U)

Definition at line 19 of file startup_mimxrt1062.c.

## ◆ __ITCM_ALLOCATE_BANK_NUM

#define __ITCM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_ITCM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)

Definition at line 29 of file startup_mimxrt1062.c.

## ◆ __OCRAM_ALLOCATE_BANK_NUM

#define __OCRAM_ALLOCATE_BANK_NUM (__FLEXRAM_ALLOC_OCRAM_SIZE_KB / __FLEXRAM_BANK_SIZE_KB)

Definition at line 28 of file startup_mimxrt1062.c.

## ◆ ALIAS

#define ALIAS | ( |  | f | ) | __attribute__ ((weak, alias (#f)))

Definition at line 55 of file startup_mimxrt1062.c.

## ◆ ALLOCATE_FLEXRAM

#define ALLOCATE_FLEXRAM

Definition at line 12 of file startup_mimxrt1062.c.

## ◆ WEAK

#define WEAK __attribute__ ((weak))

Definition at line 53 of file startup_mimxrt1062.c.

## ◆ WEAK_AV

#define WEAK_AV __attribute__ ((weak, section(".after_vectors")))

Definition at line 54 of file startup_mimxrt1062.c.

## Function Documentation

## ◆ __attribute__() [1/3]

__attribute__ | ( | (section(".after_vectors.init_bss")) |  | ) |

Definition at line 642 of file startup_mimxrt1062.c.

## ◆ __attribute__() [2/3]

__attribute__ | ( | (section(".after_vectors.init_data")) |  | ) |

Definition at line 633 of file startup_mimxrt1062.c.

## ◆ __attribute__() [3/3]

__attribute__ | ( | (section(".after_vectors.reset")) |  | ) |

Definition at line 669 of file startup_mimxrt1062.c.

References __bss_section_table_end, __data_section_table, __data_section_table_end, __DTCM_ALLOCATE_BANK_NUM, __ITCM_ALLOCATE_BANK_NUM, __OCRAM_ALLOCATE_BANK_NUM, FLEXRAM, main(), and SystemInit().

## ◆ ACMP1_IRQHandler()

WEAK void ACMP1_IRQHandler | ( | void |  | ) |

Definition at line 1306 of file startup_mimxrt1062.c.

## ◆ ACMP2_IRQHandler()

WEAK void ACMP2_IRQHandler | ( | void |  | ) |

Definition at line 1310 of file startup_mimxrt1062.c.

## ◆ ACMP3_IRQHandler()

WEAK void ACMP3_IRQHandler | ( | void |  | ) |

Definition at line 1314 of file startup_mimxrt1062.c.

## ◆ ACMP4_IRQHandler()

WEAK void ACMP4_IRQHandler | ( | void |  | ) |

Definition at line 1318 of file startup_mimxrt1062.c.

## ◆ ADC1_IRQHandler()

WEAK void ADC1_IRQHandler | ( | void |  | ) |

Definition at line 1082 of file startup_mimxrt1062.c.

## ◆ ADC2_IRQHandler()

WEAK void ADC2_IRQHandler | ( | void |  | ) |

Definition at line 1086 of file startup_mimxrt1062.c.

## ◆ ADC_ETC_ERROR_IRQ_IRQHandler()

WEAK void ADC_ETC_ERROR_IRQ_IRQHandler | ( | void |  | ) |

Definition at line 1298 of file startup_mimxrt1062.c.

## ◆ ADC_ETC_IRQ0_IRQHandler()

WEAK void ADC_ETC_IRQ0_IRQHandler | ( | void |  | ) |

Definition at line 1286 of file startup_mimxrt1062.c.

## ◆ ADC_ETC_IRQ1_IRQHandler()

WEAK void ADC_ETC_IRQ1_IRQHandler | ( | void |  | ) |

Definition at line 1290 of file startup_mimxrt1062.c.

## ◆ ADC_ETC_IRQ2_IRQHandler()

WEAK void ADC_ETC_IRQ2_IRQHandler | ( | void |  | ) |

Definition at line 1294 of file startup_mimxrt1062.c.

## ◆ BEE_IRQHandler()

WEAK void BEE_IRQHandler | ( | void |  | ) |

Definition at line 1034 of file startup_mimxrt1062.c.

## ◆ CAN1_IRQHandler()

WEAK void CAN1_IRQHandler | ( | void |  | ) |

Definition at line 958 of file startup_mimxrt1062.c.

## ◆ CAN2_IRQHandler()

WEAK void CAN2_IRQHandler | ( | void |  | ) |

Definition at line 962 of file startup_mimxrt1062.c.

## ◆ CAN3_IRQHandler()

WEAK void CAN3_IRQHandler | ( | void |  | ) |

Definition at line 1430 of file startup_mimxrt1062.c.

## ◆ CCM_1_IRQHandler()

WEAK void CCM_1_IRQHandler | ( | void |  | ) |

Definition at line 1194 of file startup_mimxrt1062.c.

## ◆ CCM_2_IRQHandler()

WEAK void CCM_2_IRQHandler | ( | void |  | ) |

Definition at line 1198 of file startup_mimxrt1062.c.

## ◆ CORE_IRQHandler()

WEAK void CORE_IRQHandler | ( | void |  | ) |

Definition at line 890 of file startup_mimxrt1062.c.

## ◆ CSI_IRQHandler()

WEAK void CSI_IRQHandler | ( | void |  | ) |

Definition at line 986 of file startup_mimxrt1062.c.

## ◆ CSU_IRQHandler()

WEAK void CSU_IRQHandler | ( | void |  | ) |

Definition at line 1010 of file startup_mimxrt1062.c.

## ◆ CTI0_ERROR_IRQHandler()

WEAK void CTI0_ERROR_IRQHandler | ( | void |  | ) |

Definition at line 882 of file startup_mimxrt1062.c.

## ◆ CTI1_ERROR_IRQHandler()

WEAK void CTI1_ERROR_IRQHandler | ( | void |  | ) |

Definition at line 886 of file startup_mimxrt1062.c.

## ◆ DCDC_IRQHandler()

WEAK void DCDC_IRQHandler | ( | void |  | ) |

Definition at line 1090 of file startup_mimxrt1062.c.

## ◆ DCP_IRQHandler()

WEAK void DCP_IRQHandler | ( | void |  | ) |

Definition at line 1014 of file startup_mimxrt1062.c.

## ◆ DCP_VMI_IRQHandler()

WEAK void DCP_VMI_IRQHandler | ( | void |  | ) |

Definition at line 1018 of file startup_mimxrt1062.c.

## ◆ DMA0_DMA16_DriverIRQHandler()

void DMA0_DMA16_DriverIRQHandler | ( | void DMA1_DMA17_DriverIRQHandler() ALIAS(IntDefaultHandler) | void | ) |

Definition at line 261 of file startup_mimxrt1062.c.

Referenced by DMA0_DMA16_IRQHandler().

## ◆ DMA0_DMA16_IRQHandler()

WEAK void DMA0_DMA16_IRQHandler | ( | void |  | ) |

Definition at line 814 of file startup_mimxrt1062.c.

References DMA0_DMA16_DriverIRQHandler().

## ◆ DMA10_DMA26_IRQHandler()

WEAK void DMA10_DMA26_IRQHandler | ( | void |  | ) |

Definition at line 854 of file startup_mimxrt1062.c.

## ◆ DMA11_DMA27_IRQHandler()

WEAK void DMA11_DMA27_IRQHandler | ( | void |  | ) |

Definition at line 858 of file startup_mimxrt1062.c.

## ◆ DMA12_DMA28_IRQHandler()

WEAK void DMA12_DMA28_IRQHandler | ( | void |  | ) |

Definition at line 862 of file startup_mimxrt1062.c.

## ◆ DMA13_DMA29_IRQHandler()

WEAK void DMA13_DMA29_IRQHandler | ( | void |  | ) |

Definition at line 866 of file startup_mimxrt1062.c.

## ◆ DMA14_DMA30_IRQHandler()

WEAK void DMA14_DMA30_IRQHandler | ( | void |  | ) |

Definition at line 870 of file startup_mimxrt1062.c.

## ◆ DMA15_DMA31_IRQHandler()

WEAK void DMA15_DMA31_IRQHandler | ( | void |  | ) |

Definition at line 874 of file startup_mimxrt1062.c.

## ◆ DMA1_DMA17_IRQHandler()

WEAK void DMA1_DMA17_IRQHandler | ( | void |  | ) |

Definition at line 818 of file startup_mimxrt1062.c.

## ◆ DMA2_DMA18_IRQHandler()

WEAK void DMA2_DMA18_IRQHandler | ( | void |  | ) |

Definition at line 822 of file startup_mimxrt1062.c.

## ◆ DMA3_DMA19_IRQHandler()

WEAK void DMA3_DMA19_IRQHandler | ( | void |  | ) |

Definition at line 826 of file startup_mimxrt1062.c.

## ◆ DMA4_DMA20_IRQHandler()

WEAK void DMA4_DMA20_IRQHandler | ( | void |  | ) |

Definition at line 830 of file startup_mimxrt1062.c.

## ◆ DMA5_DMA21_IRQHandler()

WEAK void DMA5_DMA21_IRQHandler | ( | void |  | ) |

Definition at line 834 of file startup_mimxrt1062.c.

## ◆ DMA6_DMA22_IRQHandler()

WEAK void DMA6_DMA22_IRQHandler | ( | void |  | ) |

Definition at line 838 of file startup_mimxrt1062.c.

## ◆ DMA7_DMA23_IRQHandler()

WEAK void DMA7_DMA23_IRQHandler | ( | void |  | ) |

Definition at line 842 of file startup_mimxrt1062.c.

## ◆ DMA8_DMA24_IRQHandler()

WEAK void DMA8_DMA24_IRQHandler | ( | void |  | ) |

Definition at line 846 of file startup_mimxrt1062.c.

## ◆ DMA9_DMA25_IRQHandler()

WEAK void DMA9_DMA25_IRQHandler | ( | void |  | ) |

Definition at line 850 of file startup_mimxrt1062.c.

## ◆ DMA_ERROR_IRQHandler()

WEAK void DMA_ERROR_IRQHandler | ( | void |  | ) |

Definition at line 878 of file startup_mimxrt1062.c.

## ◆ ENC1_IRQHandler()

WEAK void ENC1_IRQHandler | ( | void |  | ) |

Definition at line 1330 of file startup_mimxrt1062.c.

## ◆ ENC2_IRQHandler()

WEAK void ENC2_IRQHandler | ( | void |  | ) |

Definition at line 1334 of file startup_mimxrt1062.c.

## ◆ ENC3_IRQHandler()

WEAK void ENC3_IRQHandler | ( | void |  | ) |

Definition at line 1338 of file startup_mimxrt1062.c.

## ◆ ENC4_IRQHandler()

WEAK void ENC4_IRQHandler | ( | void |  | ) |

Definition at line 1342 of file startup_mimxrt1062.c.

## ◆ ENET2_1588_Timer_IRQHandler()

WEAK void ENET2_1588_Timer_IRQHandler | ( | void |  | ) |

Definition at line 1426 of file startup_mimxrt1062.c.

## ◆ ENET2_IRQHandler()

WEAK void ENET2_IRQHandler | ( | void |  | ) |

Definition at line 1422 of file startup_mimxrt1062.c.

## ◆ ENET_1588_Timer_IRQHandler()

WEAK void ENET_1588_Timer_IRQHandler | ( | void |  | ) |

Definition at line 1274 of file startup_mimxrt1062.c.

## ◆ ENET_IRQHandler()

WEAK void ENET_IRQHandler | ( | void |  | ) |

Definition at line 1270 of file startup_mimxrt1062.c.

## ◆ EWM_IRQHandler()

WEAK void EWM_IRQHandler | ( | void |  | ) |

Definition at line 1190 of file startup_mimxrt1062.c.

## ◆ FLEXIO1_IRQHandler()

WEAK void FLEXIO1_IRQHandler | ( | void |  | ) |

Definition at line 1174 of file startup_mimxrt1062.c.

## ◆ FLEXIO2_IRQHandler()

WEAK void FLEXIO2_IRQHandler | ( | void |  | ) |

Definition at line 1178 of file startup_mimxrt1062.c.

## ◆ FLEXIO3_IRQHandler()

WEAK void FLEXIO3_IRQHandler | ( | void |  | ) |

Definition at line 1438 of file startup_mimxrt1062.c.

## ◆ FLEXRAM_IRQHandler()

WEAK void FLEXRAM_IRQHandler | ( | void |  | ) |

Definition at line 966 of file startup_mimxrt1062.c.

## ◆ FLEXSPI2_IRQHandler()

WEAK void FLEXSPI2_IRQHandler | ( | void |  | ) |

Definition at line 1242 of file startup_mimxrt1062.c.

## ◆ FLEXSPI_IRQHandler()

WEAK void FLEXSPI_IRQHandler | ( | void |  | ) |

Definition at line 1246 of file startup_mimxrt1062.c.

## ◆ GPC_IRQHandler()

WEAK void GPC_IRQHandler | ( | void |  | ) |

Definition at line 1202 of file startup_mimxrt1062.c.

## ◆ GPIO1_Combined_0_15_IRQHandler()

WEAK void GPIO1_Combined_0_15_IRQHandler | ( | void |  | ) |

Definition at line 1134 of file startup_mimxrt1062.c.

## ◆ GPIO1_Combined_16_31_IRQHandler()

WEAK void GPIO1_Combined_16_31_IRQHandler | ( | void |  | ) |

Definition at line 1138 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT0_IRQHandler()

WEAK void GPIO1_INT0_IRQHandler | ( | void |  | ) |

Definition at line 1102 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT1_IRQHandler()

WEAK void GPIO1_INT1_IRQHandler | ( | void |  | ) |

Definition at line 1106 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT2_IRQHandler()

WEAK void GPIO1_INT2_IRQHandler | ( | void |  | ) |

Definition at line 1110 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT3_IRQHandler()

WEAK void GPIO1_INT3_IRQHandler | ( | void |  | ) |

Definition at line 1114 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT4_IRQHandler()

WEAK void GPIO1_INT4_IRQHandler | ( | void |  | ) |

Definition at line 1118 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT5_IRQHandler()

WEAK void GPIO1_INT5_IRQHandler | ( | void |  | ) |

Definition at line 1122 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT6_IRQHandler()

WEAK void GPIO1_INT6_IRQHandler | ( | void |  | ) |

Definition at line 1126 of file startup_mimxrt1062.c.

## ◆ GPIO1_INT7_IRQHandler()

WEAK void GPIO1_INT7_IRQHandler | ( | void |  | ) |

Definition at line 1130 of file startup_mimxrt1062.c.

## ◆ GPIO2_Combined_0_15_IRQHandler()

WEAK void GPIO2_Combined_0_15_IRQHandler | ( | void |  | ) |

Definition at line 1142 of file startup_mimxrt1062.c.

## ◆ GPIO2_Combined_16_31_IRQHandler()

WEAK void GPIO2_Combined_16_31_IRQHandler | ( | void |  | ) |

Definition at line 1146 of file startup_mimxrt1062.c.

## ◆ GPIO3_Combined_0_15_IRQHandler()

WEAK void GPIO3_Combined_0_15_IRQHandler | ( | void |  | ) |

Definition at line 1150 of file startup_mimxrt1062.c.

## ◆ GPIO3_Combined_16_31_IRQHandler()

WEAK void GPIO3_Combined_16_31_IRQHandler | ( | void |  | ) |

Definition at line 1154 of file startup_mimxrt1062.c.

## ◆ GPIO4_Combined_0_15_IRQHandler()

WEAK void GPIO4_Combined_0_15_IRQHandler | ( | void |  | ) |

Definition at line 1158 of file startup_mimxrt1062.c.

## ◆ GPIO4_Combined_16_31_IRQHandler()

WEAK void GPIO4_Combined_16_31_IRQHandler | ( | void |  | ) |

Definition at line 1162 of file startup_mimxrt1062.c.

## ◆ GPIO5_Combined_0_15_IRQHandler()

WEAK void GPIO5_Combined_0_15_IRQHandler | ( | void |  | ) |

Definition at line 1166 of file startup_mimxrt1062.c.

## ◆ GPIO5_Combined_16_31_IRQHandler()

WEAK void GPIO5_Combined_16_31_IRQHandler | ( | void |  | ) |

Definition at line 1170 of file startup_mimxrt1062.c.

## ◆ GPIO6_7_8_9_IRQHandler()

WEAK void GPIO6_7_8_9_IRQHandler | ( | void |  | ) |

Definition at line 1442 of file startup_mimxrt1062.c.

## ◆ GPR_IRQ_IRQHandler()

WEAK void GPR_IRQ_IRQHandler | ( | void |  | ) |

Definition at line 978 of file startup_mimxrt1062.c.

## ◆ GPT1_IRQHandler()

WEAK void GPT1_IRQHandler | ( | void |  | ) |

Definition at line 1214 of file startup_mimxrt1062.c.

## ◆ GPT2_IRQHandler()

WEAK void GPT2_IRQHandler | ( | void |  | ) |

Definition at line 1218 of file startup_mimxrt1062.c.

## ◆ HardFault_Handler()

WEAK_AV void HardFault_Handler | ( | void |  | ) |

Definition at line 784 of file startup_mimxrt1062.c.

## ◆ IntDefaultHandler()

WEAK_AV void IntDefaultHandler | ( | void |  | ) |

Definition at line 804 of file startup_mimxrt1062.c.

## ◆ KPP_IRQHandler()

WEAK void KPP_IRQHandler | ( | void |  | ) |

Definition at line 970 of file startup_mimxrt1062.c.

## ◆ LCDIF_IRQHandler()

WEAK void LCDIF_IRQHandler | ( | void |  | ) |

Definition at line 982 of file startup_mimxrt1062.c.

## ◆ LPI2C1_IRQHandler()

WEAK void LPI2C1_IRQHandler | ( | void |  | ) |

Definition at line 926 of file startup_mimxrt1062.c.

## ◆ LPI2C2_IRQHandler()

WEAK void LPI2C2_IRQHandler | ( | void |  | ) |

Definition at line 930 of file startup_mimxrt1062.c.

## ◆ LPI2C3_IRQHandler()

WEAK void LPI2C3_IRQHandler | ( | void |  | ) |

Definition at line 934 of file startup_mimxrt1062.c.

## ◆ LPI2C4_IRQHandler()

WEAK void LPI2C4_IRQHandler | ( | void |  | ) |

Definition at line 938 of file startup_mimxrt1062.c.

## ◆ LPSPI1_IRQHandler()

WEAK void LPSPI1_IRQHandler | ( | void |  | ) |

Definition at line 942 of file startup_mimxrt1062.c.

## ◆ LPSPI2_IRQHandler()

WEAK void LPSPI2_IRQHandler | ( | void |  | ) |

Definition at line 946 of file startup_mimxrt1062.c.

## ◆ LPSPI3_IRQHandler()

WEAK void LPSPI3_IRQHandler | ( | void |  | ) |

Definition at line 950 of file startup_mimxrt1062.c.

## ◆ LPSPI4_IRQHandler()

WEAK void LPSPI4_IRQHandler | ( | void |  | ) |

Definition at line 954 of file startup_mimxrt1062.c.

## ◆ LPUART1_IRQHandler()

WEAK void LPUART1_IRQHandler | ( | void |  | ) |

Definition at line 894 of file startup_mimxrt1062.c.

## ◆ LPUART2_IRQHandler()

WEAK void LPUART2_IRQHandler | ( | void |  | ) |

Definition at line 898 of file startup_mimxrt1062.c.

## ◆ LPUART3_IRQHandler()

WEAK void LPUART3_IRQHandler | ( | void |  | ) |

Definition at line 902 of file startup_mimxrt1062.c.

## ◆ LPUART4_IRQHandler()

WEAK void LPUART4_IRQHandler | ( | void |  | ) |

Definition at line 906 of file startup_mimxrt1062.c.

## ◆ LPUART5_IRQHandler()

WEAK void LPUART5_IRQHandler | ( | void |  | ) |

Definition at line 910 of file startup_mimxrt1062.c.

## ◆ LPUART6_IRQHandler()

WEAK void LPUART6_IRQHandler | ( | void |  | ) |

Definition at line 914 of file startup_mimxrt1062.c.

## ◆ LPUART7_IRQHandler()

WEAK void LPUART7_IRQHandler | ( | void |  | ) |

Definition at line 918 of file startup_mimxrt1062.c.

## ◆ LPUART8_IRQHandler()

WEAK void LPUART8_IRQHandler | ( | void |  | ) |

Definition at line 922 of file startup_mimxrt1062.c.

## ◆ NMI_Handler()

WEAK_AV void NMI_Handler | ( | void |  | ) |

Definition at line 780 of file startup_mimxrt1062.c.

## ◆ PendSV_Handler()

WEAK_AV void PendSV_Handler | ( | void |  | ) |

Definition at line 792 of file startup_mimxrt1062.c.

## ◆ PIT_IRQHandler()

WEAK void PIT_IRQHandler | ( | void |  | ) |

Definition at line 1302 of file startup_mimxrt1062.c.

## ◆ PMU_EVENT_IRQHandler()

WEAK void PMU_EVENT_IRQHandler | ( | void |  | ) |

Definition at line 1058 of file startup_mimxrt1062.c.

## ◆ PWM1_0_IRQHandler()

WEAK void PWM1_0_IRQHandler | ( | void |  | ) |

Definition at line 1222 of file startup_mimxrt1062.c.

## ◆ PWM1_1_IRQHandler()

WEAK void PWM1_1_IRQHandler | ( | void |  | ) |

Definition at line 1226 of file startup_mimxrt1062.c.

## ◆ PWM1_2_IRQHandler()

WEAK void PWM1_2_IRQHandler | ( | void |  | ) |

Definition at line 1230 of file startup_mimxrt1062.c.

## ◆ PWM1_3_IRQHandler()

WEAK void PWM1_3_IRQHandler | ( | void |  | ) |

Definition at line 1234 of file startup_mimxrt1062.c.

## ◆ PWM1_FAULT_IRQHandler()

WEAK void PWM1_FAULT_IRQHandler | ( | void |  | ) |

Definition at line 1238 of file startup_mimxrt1062.c.

## ◆ PWM2_0_IRQHandler()

WEAK void PWM2_0_IRQHandler | ( | void |  | ) |

Definition at line 1362 of file startup_mimxrt1062.c.

## ◆ PWM2_1_IRQHandler()

WEAK void PWM2_1_IRQHandler | ( | void |  | ) |

Definition at line 1366 of file startup_mimxrt1062.c.

## ◆ PWM2_2_IRQHandler()

WEAK void PWM2_2_IRQHandler | ( | void |  | ) |

Definition at line 1370 of file startup_mimxrt1062.c.

## ◆ PWM2_3_IRQHandler()

WEAK void PWM2_3_IRQHandler | ( | void |  | ) |

Definition at line 1374 of file startup_mimxrt1062.c.

## ◆ PWM2_FAULT_IRQHandler()

WEAK void PWM2_FAULT_IRQHandler | ( | void |  | ) |

Definition at line 1378 of file startup_mimxrt1062.c.

## ◆ PWM3_0_IRQHandler()

WEAK void PWM3_0_IRQHandler | ( | void |  | ) |

Definition at line 1382 of file startup_mimxrt1062.c.

## ◆ PWM3_1_IRQHandler()

WEAK void PWM3_1_IRQHandler | ( | void |  | ) |

Definition at line 1386 of file startup_mimxrt1062.c.

## ◆ PWM3_2_IRQHandler()

WEAK void PWM3_2_IRQHandler | ( | void |  | ) |

Definition at line 1390 of file startup_mimxrt1062.c.

## ◆ PWM3_3_IRQHandler()

WEAK void PWM3_3_IRQHandler | ( | void |  | ) |

Definition at line 1394 of file startup_mimxrt1062.c.

## ◆ PWM3_FAULT_IRQHandler()

WEAK void PWM3_FAULT_IRQHandler | ( | void |  | ) |

Definition at line 1398 of file startup_mimxrt1062.c.

## ◆ PWM4_0_IRQHandler()

WEAK void PWM4_0_IRQHandler | ( | void |  | ) |

Definition at line 1402 of file startup_mimxrt1062.c.

## ◆ PWM4_1_IRQHandler()

WEAK void PWM4_1_IRQHandler | ( | void |  | ) |

Definition at line 1406 of file startup_mimxrt1062.c.

## ◆ PWM4_2_IRQHandler()

WEAK void PWM4_2_IRQHandler | ( | void |  | ) |

Definition at line 1410 of file startup_mimxrt1062.c.

## ◆ PWM4_3_IRQHandler()

WEAK void PWM4_3_IRQHandler | ( | void |  | ) |

Definition at line 1414 of file startup_mimxrt1062.c.

## ◆ PWM4_FAULT_IRQHandler()

WEAK void PWM4_FAULT_IRQHandler | ( | void |  | ) |

Definition at line 1418 of file startup_mimxrt1062.c.

## ◆ PXP_IRQHandler()

WEAK void PXP_IRQHandler | ( | void |  | ) |

Definition at line 990 of file startup_mimxrt1062.c.

## ◆ Reserved115_IRQHandler()

WEAK void Reserved115_IRQHandler | ( | void |  | ) |

Definition at line 1210 of file startup_mimxrt1062.c.

## ◆ Reserved143_IRQHandler()

WEAK void Reserved143_IRQHandler | ( | void |  | ) |

Definition at line 1322 of file startup_mimxrt1062.c.

## ◆ Reserved144_IRQHandler()

WEAK void Reserved144_IRQHandler | ( | void |  | ) |

Definition at line 1326 of file startup_mimxrt1062.c.

## ◆ Reserved171_IRQHandler()

WEAK void Reserved171_IRQHandler | ( | void |  | ) |

Definition at line 1434 of file startup_mimxrt1062.c.

## ◆ Reserved68_IRQHandler()

WEAK void Reserved68_IRQHandler | ( | void |  | ) |

Definition at line 1022 of file startup_mimxrt1062.c.

## ◆ Reserved78_IRQHandler()

WEAK void Reserved78_IRQHandler | ( | void |  | ) |

Definition at line 1062 of file startup_mimxrt1062.c.

## ◆ Reserved86_IRQHandler()

WEAK void Reserved86_IRQHandler | ( | void |  | ) |

Definition at line 1094 of file startup_mimxrt1062.c.

## ◆ Reserved87_IRQHandler()

WEAK void Reserved87_IRQHandler | ( | void |  | ) |

Definition at line 1098 of file startup_mimxrt1062.c.

## ◆ ResetISR()

void ResetISR | ( | void |  | ) |

## ◆ RTWDOG_IRQHandler()

WEAK void RTWDOG_IRQHandler | ( | void |  | ) |

Definition at line 1186 of file startup_mimxrt1062.c.

## ◆ SAI1_IRQHandler()

WEAK void SAI1_IRQHandler | ( | void |  | ) |

Definition at line 1038 of file startup_mimxrt1062.c.

## ◆ SAI2_IRQHandler()

WEAK void SAI2_IRQHandler | ( | void |  | ) |

Definition at line 1042 of file startup_mimxrt1062.c.

## ◆ SAI3_RX_IRQHandler()

WEAK void SAI3_RX_IRQHandler | ( | void |  | ) |

Definition at line 1046 of file startup_mimxrt1062.c.

## ◆ SAI3_TX_IRQHandler()

WEAK void SAI3_TX_IRQHandler | ( | void |  | ) |

Definition at line 1050 of file startup_mimxrt1062.c.

## ◆ SEMC_IRQHandler()

WEAK void SEMC_IRQHandler | ( | void |  | ) |

Definition at line 1250 of file startup_mimxrt1062.c.

## ◆ SJC_IRQHandler()

WEAK void SJC_IRQHandler | ( | void |  | ) |

Definition at line 1030 of file startup_mimxrt1062.c.

## ◆ SNVS_HP_WRAPPER_IRQHandler()

WEAK void SNVS_HP_WRAPPER_IRQHandler | ( | void |  | ) |

Definition at line 998 of file startup_mimxrt1062.c.

## ◆ SNVS_HP_WRAPPER_TZ_IRQHandler()

WEAK void SNVS_HP_WRAPPER_TZ_IRQHandler | ( | void |  | ) |

Definition at line 1002 of file startup_mimxrt1062.c.

## ◆ SNVS_LP_WRAPPER_IRQHandler()

WEAK void SNVS_LP_WRAPPER_IRQHandler | ( | void |  | ) |

Definition at line 1006 of file startup_mimxrt1062.c.

## ◆ SPDIF_IRQHandler()

WEAK void SPDIF_IRQHandler | ( | void |  | ) |

Definition at line 1054 of file startup_mimxrt1062.c.

## ◆ SRC_IRQHandler()

WEAK void SRC_IRQHandler | ( | void |  | ) |

Definition at line 1206 of file startup_mimxrt1062.c.

## ◆ SVC_Handler()

WEAK_AV void SVC_Handler | ( | void |  | ) |

Definition at line 788 of file startup_mimxrt1062.c.

## ◆ SysTick_Handler()

WEAK_AV void SysTick_Handler | ( | void |  | ) |

Definition at line 796 of file startup_mimxrt1062.c.

## ◆ TEMP_LOW_HIGH_IRQHandler()

WEAK void TEMP_LOW_HIGH_IRQHandler | ( | void |  | ) |

Definition at line 1066 of file startup_mimxrt1062.c.

## ◆ TEMP_PANIC_IRQHandler()

WEAK void TEMP_PANIC_IRQHandler | ( | void |  | ) |

Definition at line 1070 of file startup_mimxrt1062.c.

## ◆ TMR1_IRQHandler()

WEAK void TMR1_IRQHandler | ( | void |  | ) |

Definition at line 1346 of file startup_mimxrt1062.c.

## ◆ TMR2_IRQHandler()

WEAK void TMR2_IRQHandler | ( | void |  | ) |

Definition at line 1350 of file startup_mimxrt1062.c.

## ◆ TMR3_IRQHandler()

WEAK void TMR3_IRQHandler | ( | void |  | ) |

Definition at line 1354 of file startup_mimxrt1062.c.

## ◆ TMR4_IRQHandler()

WEAK void TMR4_IRQHandler | ( | void |  | ) |

Definition at line 1358 of file startup_mimxrt1062.c.

## ◆ TRNG_IRQHandler()

WEAK void TRNG_IRQHandler | ( | void |  | ) |

Definition at line 1026 of file startup_mimxrt1062.c.

## ◆ TSC_DIG_IRQHandler()

WEAK void TSC_DIG_IRQHandler | ( | void |  | ) |

Definition at line 974 of file startup_mimxrt1062.c.

## ◆ USB_OTG1_IRQHandler()

WEAK void USB_OTG1_IRQHandler | ( | void |  | ) |

Definition at line 1266 of file startup_mimxrt1062.c.

## ◆ USB_OTG2_IRQHandler()

WEAK void USB_OTG2_IRQHandler | ( | void |  | ) |

Definition at line 1262 of file startup_mimxrt1062.c.

## ◆ USB_PHY1_IRQHandler()

WEAK void USB_PHY1_IRQHandler | ( | void |  | ) |

Definition at line 1074 of file startup_mimxrt1062.c.

## ◆ USB_PHY2_IRQHandler()

WEAK void USB_PHY2_IRQHandler | ( | void |  | ) |

Definition at line 1078 of file startup_mimxrt1062.c.

## ◆ USDHC1_IRQHandler()

WEAK void USDHC1_IRQHandler | ( | void |  | ) |

Definition at line 1254 of file startup_mimxrt1062.c.

## ◆ USDHC2_IRQHandler()

WEAK void USDHC2_IRQHandler | ( | void |  | ) |

Definition at line 1258 of file startup_mimxrt1062.c.

## ◆ WDOG1_IRQHandler()

WEAK void WDOG1_IRQHandler | ( | void |  | ) |

Definition at line 1182 of file startup_mimxrt1062.c.

## ◆ WDOG2_IRQHandler()

WEAK void WDOG2_IRQHandler | ( | void |  | ) |

Definition at line 994 of file startup_mimxrt1062.c.

## ◆ XBAR1_IRQ_0_1_IRQHandler()

WEAK void XBAR1_IRQ_0_1_IRQHandler | ( | void |  | ) |

Definition at line 1278 of file startup_mimxrt1062.c.

## ◆ XBAR1_IRQ_2_3_IRQHandler()

WEAK void XBAR1_IRQ_2_3_IRQHandler | ( | void |  | ) |

Definition at line 1282 of file startup_mimxrt1062.c.

## Variable Documentation

## ◆ __bss_section_table_end

unsigned int __bss_section_table_end

Referenced by __attribute__().

## ◆ __data_section_table

unsigned int __data_section_table

Referenced by __attribute__().

## ◆ __data_section_table_end

unsigned int __data_section_table_end

Referenced by __attribute__().